## org.red5.server
Interface ContextLoaderMBean

All Known Implementing Classes:
  ContextLoader

    public interface ContextLoaderMBean

Red5 applications loader

Method Summary
`ApplicationContext` `getContext(String name)`
`String` `getContextsConfig()`
`ApplicationContext` `getParentContext()`
`void` `init()`
`void` `loadContext(String name, String config)`
`void` `setContextsConfig(String contextsConfig)`
`void` `uninit()`
`void` `unloadContext(String name)`

Method Detail

### setContextsConfig

    void setContextsConfig(String contextsConfig)

### init

    void init()
              throws Exception

  Throws:
    `Exception`

### uninit

    void uninit()

### getContext

    ApplicationContext getContext(String name)

### getParentContext

    ApplicationContext getParentContext()

### getContextsConfig

    String getContextsConfig()

### loadContext

    void loadContext(String name,
                     String config)

### unloadContext

    void unloadContext(String name)

Copyright © 2006-2010 The Red5 Project